Bug 6397 - rc.sysinit script should try not only raidtools but also mdadm for mounting md devices
: rc.sysinit script should try not only raidtools but also mdadm for mounting m...
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/startup)
: unstable
: all Linux
: P2 enhancement
Assigned To:
:
:
:
:
: 6322
  Show dependency tree
 
Reported: 2005-04-04 03:25 by
Modified: 2006-03-22 20:51 (History)


Attachments
Support mdadm in addition to raidtools for mounting RAID devices (1.11 KB, patch)
2005-04-04 03:28, evseev
no flags Details | Diff
More compatibility with actual mdadm conventions (1.23 KB, patch)
2005-04-04 12:23, evseev
no flags Details | Diff
Use /sbin/mdassemble when /usr/sbin/mdadm is not accessible (1.53 KB, patch)
2005-04-10 04:59, evseev
no flags Details | Diff
proposed patch (3.27 KB, patch)
2005-04-25 02:13, Dmitry V. Levin
no flags Details | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-04-04 03:25:56
Монтирование md-устройств в rc.sysinit сейчас производится с помощью утилит из 
пакета raidtools. Требуется проверять также наличие mdadm и, если он найден, 
использовать его. Для этой цели бинарник в следующей сборке mdadm будет 
перемещён из /usr/sbin в /sbin.
Steps to Reproduce:
1. apt-get install mdadm raidtools-
2. mdadm --create /dev/md0 --level=1 --raid-devices=2 /dev/hd[ac]1
3. echo 'DEVICE /dev/hd[a-z] /dev/sd*[a-z]' > /etc/mdadm.conf && mdadm
--examine 
--scan --config=mdadm.conf >> /etc/mdadm.conf; $EDITOR /etc/mdadm.conf
4. mdadm --assemble --scan
5. mkfs.ext3 /dev/md0
6. echo "/dev/md0 /mnt/disk ext3 defaults,nodev,nosuid 1 2" >> /etc/fstab
7. reboot

Actual Results:  
Вываливание при загрузке в sulogin после "Checking filesystems:" с последующим 
перезапуском.

Expected Results:  
Нормальная загрузка >:-]
------- Comment #1 From 2005-04-04 03:28:07 -------
Created an attachment (id=795) [details]
Support mdadm in addition to raidtools for mounting RAID devices
------- Comment #2 From 2005-04-04 12:23:32 -------
Created an attachment (id=796) [details]
More compatibility with actual mdadm conventions

Предыдущий патч (#795) не был совместим с существующими сборками mdadm, потому
что искал mdadm в /sbin, где тот будет только начиная с 1.9.0-alt2. Из-за
этого, кстати, пришлось бы в startup.spec указывать "Conflicts: mdadm <
1.9.0-alt2". Новый патч пытается искать бинарник mdadm и в /sbin, и в
/usr/sbin, то есть если /usr не расположен на отдельном разделе, новый
rc.sysinit будет нормально работать с нынешним mdadm. Те, у кого расположен -
ждут следующую сборку mdadm, а пока сидят на raidtools.
------- Comment #3 From 2005-04-10 04:59:12 -------
Created an attachment (id=802) [details]
Use /sbin/mdassemble when /usr/sbin/mdadm is not accessible

Пакет mdadm содержит утилиту mdassemble, статически компонуемую с diet libc и
предназначенную для размещения в initrd. Она умеет только монтировать
md-разделы как 'mdadm --assemble', и только из готового /etc/mdadm.conf (в
отличие от mdadm --scan). Если mdadm размещён на /usr, который является
отдельным разделом, в rc.sysinit следует попытаться запустить /sbin/mdassemble.
Предыдущий патч этого не делал.
------- Comment #4 From 2005-04-25 02:13:50 -------
Created an attachment (id=836) [details]
proposed patch

Could you try this patch, please?
------- Comment #5 From 2005-05-24 15:43:36 -------
Applied my patch in 0.9.8-alt1, lets hope it works as expected.